Contact Free trial Login

MUnit 1.3.9 Release Notes

This MUnit release is mainly focused on bug fixes.

  • Mule MUnit Support:

    • 3.7.X

    • 3.8.x

    • 3.9.x

  • Munit

    • 1.3.9

  • MUnit Studio Plugin

    • 1.7.3

Hardware and Software Requirements

  • Microsoft Windows 8

  • Apple Mac OS X 10.10

  • Linux (tested on Ubuntu 15)

  • Java 8

  • Maven 3.3.3, 3.3.9

Compatibility

Software Version

Mule

3.7.x, 3.8.x, 3.9.x

Anypoint Studio

6.5.0 and later

Features and Functionality

Anypoint Studio Plugin

There are no new features in this release

MUnit Runtime

  • Created MUNIT_RUNNING_COVERAGE property to distinguish between MUnit runs, and coverage runs.
    This way, the MUnit runtime can differentiate a coverage run, and avoid connectors such as the SAP connector to try to connect to external resources.

Fixed Issues

  • Fixed issue when Studio crashed in Windows whenever the max of GDI objects was reached.

Support

Was this article helpful?

💙 Thanks for your feedback!

Edit on GitHub